''' <summary>
''' Hilfsklasse, die eine globale Liste von Color-Sturkturen behlt und liefert
''' </summary>
Public Class SharedColors
    Private Shared m_AllColors As New AddRemoveListe(Of Color)

    ''' <summary>
    ''' Globale Liste mit Color-Sturkturen 
    ''' </summary>
    Shared ReadOnly Property AllColors() As AddRemoveListe(Of Color)
        Get
            Return m_AllColors
        End Get
    End Property

    Shared Sub New()
        m_AllColors.Add(Color.BlueViolet)
        m_AllColors.Add(Color.Blue)
        m_AllColors.Add(Color.LightBlue)
        m_AllColors.Add(Color.LightGreen)
        m_AllColors.Add(Color.Green)
        m_AllColors.Add(Color.GreenYellow)
        m_AllColors.Add(Color.Yellow)
        m_AllColors.Add(Color.Orange)
        m_AllColors.Add(Color.OrangeRed)
        m_AllColors.Add(Color.Red)
        m_AllColors.Add(Color.DarkRed)
        m_AllColors.Add(Color.DarkOrange)
        m_AllColors.Add(Color.DarkCyan)
        m_AllColors.Add(Color.DarkOrchid)
        m_AllColors.Add(Color.DarkOliveGreen)
        m_AllColors.Add(Color.DarkGreen)
        m_AllColors.Add(Color.DarkBlue)
        m_AllColors.Add(Color.Gray)
    End Sub
End Class
