''' <summary>
''' Hilfsklasse fr die ValidatedTextBox
''' </summary>
''' <remarks>enthlt einen String und falls vorhanden eine Fehlermeldung</remarks>
Public Class ValidatedValue

#Region " Private Felder"
    Private m_Value As String
    Private m_Message As String
#End Region

#Region " Konstruktoren "
    ''' <summary>
    ''' Default Konstruktor
    ''' </summary>
    ''' <param name="Value">Textwert der TextBox</param>
    ''' <param name="Message">Fehlermeldung</param>
    Public Sub New(ByVal Value As String, ByVal Message As String)
        m_Value = Value
        m_Message = Message
    End Sub
#End Region

#Region " Properties "

    ''' <summary>
    ''' Textwert der TextBox
    ''' </summary>
    ReadOnly Property Value() As String
        Get
            Return m_Value
        End Get
    End Property

    ''' <summary>
    ''' Fehlermeldung
    ''' </summary>
    ReadOnly Property Message() As String
        Get
            Return m_Message
        End Get
    End Property

#End Region

End Class
